%global         with_allprogs 0

Name:           eclib
Version:        20120830
Release:        10%{?dist}
Summary:        Library for Computations on Elliptic Curves
Group:          Development/Libraries
License:        GPLv3+
URL:            http://www.warwick.ac.uk/~masgaj/
Source0:        http://sagemath.org/packages/standard/eclib-%{version}.spkg


BuildRequires:  gmp-devel
BuildRequires:  libtool
BuildRequires:  ntl-devel
BuildRequires:  pari-devel

%description
John Cremona's programs for enumerating and computing with elliptic
curves defined over the rational numbers.


%package        devel
Summary:        Development Files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       ntl-devel%{?_isa}


%description    devel
Development libraries and headers for %{name}.


%prep
%setup -q
# do not want rpath
pushd src
    rm -f ltmain.sh
    autoreconf -fi
popd

# Look for the C++-mangled version of the name instead of the C version
sed -i 's/_ntl_gmul/_Z9_ntl_gmulPvS_PS_/' src/configure

%build
pushd src
    %configure \
	--disable-static \
	--enable-shared \
%if %{with_allprogs}
	--enable-allprogs
%else
	--disable-allprogs
%endif

    # Get rid of undesirable hardcoded rpaths; workaround libtool reordering
    # -Wl,--as-needed after all the libraries.
    sed -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
        -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
        -e 's|CC="\(g..\)"|CC="\1 -Wl,--as-needed"|' \
        -i libtool

    make %{?_smpflags}
popd


%install
make DESTDIR=$RPM_BUILD_ROOT -C src install
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
%if !%{with_allprogs}
rm $RPM_BUILD_ROOT%{_docdir}/%{name}/progs.txt
%endif


%check
make -C src check LD_LIBRARY_PATH=$RPM_BUILD_ROOT%{_libdir}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%doc src/AUTHORS
%doc src/NEWS
%doc src/README
%doc SPKG.txt
%license src/COPYING
%if %{with_allprogs}
%{_bindir}/*
%else
%{_bindir}/mwrank
%endif
%{_libdir}/libec.so.*
%{_mandir}/man1/mwrank.1*


%files devel
%{_includedir}/%{name}
%{_libdir}/libec.so


%changelog
* Mon Feb  2 2015 Jerry James <loganjerry@gmail.com> - 20120830-10
- Rebuild for NTL 8.1.2

* Thu Jan 15 2015 Jerry James <loganjerry@gmail.com> - 20120830-9
- Rebuild for NTL 8.1.0

* Tue Oct 28 2014 Jerry James <loganjerry@gmail.com> - 20120830-8
- Rebuild for NTL 6.2.1
- Fix license handling

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20120830-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20120830-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr  2 2014 Jerry James <loganjerry@gmail.com> - 20120830-5
- Rebuild for NTL 6.1.0

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20120830-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon May  6 2013 Jerry James <loganjerry@gmail.com> - 20120830-3
- Rebuild for NTL 6.0.0
- autoreconf already calls libtoolize; don't need to call the latter
- drop now unneeded -ntl-underlink patch

* Wed Mar 27 2013 Jerry James <loganjerry@gmail.com> - 20120830-2
- Add -fi to libtoolize and autoreconf invocations to get updates (bz 925294)
- Modify libtool to get rid of unused direct library dependencies and rpaths

* Sat Jan 26 2013 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 20120830-1
- Update to latest upstream release.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20120428-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 10 2012 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 20120428-1
- Update to latest upstream release.
- Rework package build that now uses autotools instead of hand made Makefiles.

* Thu Jul 5 2012 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 20100711-5
- Install mwrank binary as it is required by sagemath.
- Install mwrank documentation.

* Wed Jul 4 2012 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 20100711-4
- Rebuild with newer pari.

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20100711-3
- Rebuilt for c++ ABI breakage

* Tue Jan 10 2012 Jerry James <loganjerry@gmail.com> - 20100711-2
- Rebuild for GCC 4.7

* Thu Oct 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 20100711-1.2
- rebuild with new gmp without compat lib

* Mon Oct 10 2011 Peter Schiffer <pschiffe@redhat.com> - 20100711-1.1
- rebuild with new gmp

* Mon May 23 2011 Jerry James <loganjerry@gmail.com> - 20100711-1
- New upstream version
- Drop unnecessary elements of the spec file (BuildRoot, clean script, etc.)
- Convert previous patches into sed expressions
- Add compiler warning elimination patch
- Eliminate unused direct shared library dependencies
- Fix the FSF's address to make rpmlint shut up
- Add documentation to -devel

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080310-10.p10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Aug 19 2010 Thomas Spura <tomspur@fedoraproject.org> - 20080310-9.p10
- update to patched version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080310-9.p7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon May 18 2009 Conrad Meyer <konrad@tylerc.org> - 20080310-8.p7
- Make only shared libs.

* Fri May 8 2009 Conrad Meyer <konrad@tylerc.org> - 20080310-7.p7
- Kill parallel make to fix the build (thanks Mamoru Tasaka).

* Sun Mar 22 2009 Conrad Meyer <konrad@tylerc.org> - 20080310-6.p7
- Incorporate Michael Schwendt's patch to fix the build process
  (thanks again :)).

* Fri Mar 20 2009 Conrad Meyer <konrad@tylerc.org> - 20080310-5.p7
- Changed BR on ntl-devel to ntl-static.

* Fri Mar 20 2009 Conrad Meyer <konrad@tylerc.org> - 20080310-4.p7
- Fixed path in %%check section.

* Thu Mar 19 2009 Conrad Meyer <konrad@tylerc.org> - 20080310-3.p7
- Move libraries back to _libdir proper and add main package.
- Added check section (thanks Michael Schwendt) commented out because
  it doesn't pass right now.
- Add a versioned SONAME.

* Wed Mar 18 2009 Conrad Meyer <konrad@tylerc.org> - 20080310-2.p7
- Fix soname mess.
- Use install -p.

* Sat Dec 13 2008 Conrad Meyer <konrad@tylerc.org> - 20080310-1.p7
- Initial package.
